# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Math/Trig.pm) perl(Module/Signature.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Geo-OSM-Tiles
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Calculate tile numbers for OpenStreetMap
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RO/ROTKRAUT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides functions for calculating the path to a map tile
at OpenStreetMap out of geographic coordinates.  The path of a tile at
OSM has the form `$zoom/$tilex/$tiley.png'.  The numbering scheme is
documented in the OSM wiki, see the link below.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes TODO
%perl_vendor_privlib/G*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

